Skip to main content
`Ctrl`+`K`

# TSPythonGetType

Get the type of a `TS` object implemented in Python.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSPythonGetType(TS ts, const char *pyname[])

Not Collective

## Input Parameter

- ts - the `TS` context

## Output Parameter

- pyname - full dotted Python name [package].module[.{class|function}]

## See Also

TS: Scalable ODE and DAE Solvers, `TSCreate()`, `TSSetType()`, `TSPYTHON`, `PetscPythonInitialize()`, `TSPythonSetType()`

## Level

intermediate

## Location

src/ts/impls/python/pythonts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages